Create a chat completion
curl --request POST \
--url https://api.atlasflux.my/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "atlasflux/nenas-flash",
"messages": [
{
"role": "user",
"content": "What is the capital of Malaysia?"
}
],
"temperature": 0.7,
"max_tokens": 512
}
'import requests
url = "https://api.atlasflux.my/v1/chat/completions"
payload = {
"model": "atlasflux/nenas-flash",
"messages": [
{
"role": "user",
"content": "What is the capital of Malaysia?"
}
],
"temperature": 0.7,
"max_tokens": 512
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'atlasflux/nenas-flash',
messages: [{role: 'user', content: 'What is the capital of Malaysia?'}],
temperature: 0.7,
max_tokens: 512
})
};
fetch('https://api.atlasflux.my/v1/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "chat.completion",
"created": 123,
"model": "<string>",
"choices": [
{
"index": 123,
"message": {
"role": "assistant",
"content": "<string>"
},
"finish_reason": "<string>"
}
],
"usage": {
"input_tokens": 123,
"output_tokens": 123,
"reasoning_tokens": 123,
"cached_tokens": 123,
"total_tokens": 123,
"cost_myr": "<string>",
"latency_ms": 123
}
}{
"type": "error",
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"request_id": "<string>",
"guidance": "<string>",
"action_url": "<string>",
"retryable": true,
"retry_after_seconds": 1
}
}{
"type": "error",
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"request_id": "<string>",
"guidance": "<string>",
"action_url": "<string>",
"retryable": true,
"retry_after_seconds": 1
}
}{
"type": "error",
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"request_id": "<string>",
"guidance": "<string>",
"action_url": "<string>",
"retryable": true,
"retry_after_seconds": 1
}
}{
"type": "error",
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"request_id": "<string>",
"guidance": "<string>",
"action_url": "<string>",
"retryable": true,
"retry_after_seconds": 1
}
}{
"type": "error",
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"request_id": "<string>",
"guidance": "<string>",
"action_url": "<string>",
"retryable": true,
"retry_after_seconds": 1
}
}{
"type": "error",
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"request_id": "<string>",
"guidance": "<string>",
"action_url": "<string>",
"retryable": true,
"retry_after_seconds": 1
}
}{
"type": "error",
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"request_id": "<string>",
"guidance": "<string>",
"action_url": "<string>",
"retryable": true,
"retry_after_seconds": 1
}
}{
"type": "error",
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"request_id": "<string>",
"guidance": "<string>",
"action_url": "<string>",
"retryable": true,
"retry_after_seconds": 1
}
}{
"type": "error",
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"request_id": "<string>",
"guidance": "<string>",
"action_url": "<string>",
"retryable": true,
"retry_after_seconds": 1
}
}{
"type": "error",
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"request_id": "<string>",
"guidance": "<string>",
"action_url": "<string>",
"retryable": true,
"retry_after_seconds": 1
}
}{
"type": "error",
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"request_id": "<string>",
"guidance": "<string>",
"action_url": "<string>",
"retryable": true,
"retry_after_seconds": 1
}
}Chat Completions
Create a chat completion
OpenAI-compatible chat completions endpoint. Sends a list of messages and receives a model response.
POST
/
v1
/
chat
/
completions
Create a chat completion
Authorizations
AtlasFlux API key. Get yours from the Developer Dashboard.
Body
application/json
Minimum array length:
1Show child attributes
Show child attributes
Required range:
0 <= x <= 2Required range:
1 <= x <= 32000Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
